<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":1,"i8":2,"i9":1,"i10":1,"i11":2,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="type-summary" id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Classes</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Class Summary</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Class</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><a href="commandes/Commande.html" title="class in commandes">Commande</a></td>
<th class="col-last" scope="row">
<div class="block">Classe abstraite permettant d'operer des modifications sur une image
 modifiable</div>
</th>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><a href="controleurs/ControleurImage.html" title="class in controleurs">ControleurImage</a></td>
<th class="col-last" scope="row">
<div class="block">classe rÃ©agissant a tous les types d'evenements et laissant l'interpretation
 de ces evenenements a <a href="controleurs/InterpreteurAction.html" title="class in controleurs"><code>InterpreteurAction</code></a></div>
</th>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><a href="commandes/Defaire.html" title="class in commandes">Defaire</a></td>
<th class="col-last" scope="row">
<div class="block">Commande permettant de renverser les dernieres commandes executees</div>
</th>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><a href="vues/FenetrePrincipale.html" title="class in vues">FenetrePrincipale</a></td>
<th class="col-last" scope="row">
<div class="block">Fenetre et point d'entree du programme</div>
</th>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><a href="commandes/Glisser.html" title="class in commandes">Glisser</a></td>
<th class="col-last" scope="row">
<div class="block">commande permettant de faire glisser l'image dans sa perspective</div>
</th>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><a href="modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a></td>
<th class="col-last" scope="row">
<div class="block">modele representant une image et les transformations geometriques que l'on y
 applique</div>
</th>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><a href="controleurs/InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a></td>
<th class="col-last" scope="row">
<div class="block">Registre des prototypes de commandes.</div>
</th>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><a href="controleurs/Memento.html" title="interface in controleurs">Memento</a></td>
<th class="col-last" scope="row">
<div class="block">interface signifiant qu'un objet est capable de sauvegarder son etat et de le
 restituer plus tard</div>
</th>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><a href="vues/MenuFenetre.html" title="class in vues">MenuFenetre</a></td>
<th class="col-last" scope="row">
<div class="block">Barre de commandes incluant selection d'images, gestion de sauvegardes de
 perspectives et de commandes undo/redo.</div>
</th>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><a href="communs/Observable.html" title="interface in communs">Observable</a></td>
<th class="col-last" scope="row">
<div class="block">interface permettant a un objet de diffuser son etat a d'autres objets
 observateurs</div>
</th>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><a href="communs/Observateur.html" title="interface in communs">Observateur</a></td>
<th class="col-last" scope="row">
<div class="block">interface signifiant qu'un objet est interesse a notifie des mises a jour
 d'un autre objet</div>
</th>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><a href="vues/PanneauPrincipal.html" title="class in vues">PanneauPrincipal</a></td>
<th class="col-last" scope="row">
<div class="block">panneau contenant les vues et disposant les fenÃªtres aux bons endroits</div>
</th>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><a href="commandes/Refaire.html" title="class in commandes">Refaire</a></td>
<th class="col-last" scope="row">
<div class="block">Commande permettant de refaire une commande defaite</div>
</th>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><a href="modeles/SuperviseurImages.html" title="class in modeles">SuperviseurImages</a></td>
<th class="col-last" scope="row">
<div class="block">objet federant des images modifiables, permettant de les serialiser ensemble</div>
</th>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><a href="controleurs/TamponCommandes.html" title="class in controleurs">TamponCommandes</a></td>
<th class="col-last" scope="row">
<div class="block">Singleton centralisant l'exÃ©cution des commandes sur les images modifiables
 et la conservation de l'historique des commandes</div>
</th>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><a href="vues/VueImage.html" title="class in vues">VueImage</a></td>
<th class="col-last" scope="row">&nbsp;</th>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><a href="commandes/Zoomer.html" title="class in commandes">Zoomer</a></td>
<th class="col-last" scope="row">
<div class="block">Commande representant un changement d'echelle de l'image</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
